/*
 * Copyright 2014 Red Hat, Inc. and/or its affiliates.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package org.kie.integration.eap.maven.model.graph;

import java.util.List;

public interface EAPModulesGraph {

    /**
     * The distribution name.
     * @return The distribution name.
     */
    String getDistributionName();

    /**
     * Get root node.
     * @return
     */
    List<EAPModuleGraphNode> getNodes();

    /**
     * Get a module node by node UID.
     * @param nodeUID The node UID.
     * @return The module node.
     */
    EAPModuleGraphNode getNode(String nodeUID);

    /**
     * Prints the graph model for all modules as text output.
     * @return The printed graph model for all modules.
     */
    String print();
}
